QGIS Application - Bug report #7639
important data loss regression: data entered into newly created column(s) lost when saving changes
2013-04-18 12:08 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 16560
Description

Spotted a pretty big regression: if a user create a new column and input data into the newly created column without within one edit session
(i.e. before clicking on save button), the data will disappear when saving layer changes. This is happening when editing shapefiles,
possibly affects other formats.

Steps to reproduce:

1. Load the attached shapefile (data_loss.shp) into a new project

2. Open the layer's attribute table and activate the edit mode

3. Add an integer column via hew column window

4. Add (random) values into the newly created column

5. Deactivate the edit mode and when your asked to save changes, click on the "save button"

At this stage, all of the values you've entered are gone, replaced by NULL.

This has the potential to lead to important data loss for quite a large number of users as the above steps are quite common. Flagging this
issue as leading to data "corruption”.

Associated revisions

Revision 0b780b0a - 2013-04-18 10:57 AM - Matthias Kuhn

[Fix #7639] Don't compare TypeName when comparing fields

Revision 6d046fca - 2013-04-23 11:46 AM - Jiirgen Fischer

Merge pull request #539 from matthias-kuhn/fix-7639

[Fix #7639] Values for new attributes not saved (Blocker)

History

#1 - 2013-04-18 12:30 AM - Giovanni Manghi
- Status changed from Open to Feedback

likely the sane issue of #7378

#2 - 2013-04-18 02:02 AM - Matthias Kuhn
I have a Pull request pending for this. I'd like it to be reviewed by someone familiar with dataproviders. Maybe there's a cleaner way to fix this.

https://github.com/qgis/Quantum-GIS/pull/539

#3 - 2013-04-18 02:03 AM - Matthias Kuhn

- Pull Request or Patch supplied changed from No to Yes
- Status changed from Feedback to In Progress

#4 - 2013-04-23 02:46 AM - Jiirgen Fischer

- Status changed from In Progress to Closed

Fixed in changeset commit:"6d046fcafafba27312daa09a3117e89d6al1c3e14".

Files

data_loss.zip 1.35 KB
